WP5FootnoteEndnoteGroup Class Reference documentation

WP5FootnoteEndnoteGroup Class Reference

`#include <WP5FootnoteEndnoteGroup.h>`

Inheritance diagram for WP5FootnoteEndnoteGroup:

## Public Member Functions
| WP5FootnoteEndnoteGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP5FootnoteEndnoteGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP5Listener *listener) override
Public Member Functions inherited from WP5VariableLengthGroup
| WP5VariableLengthGroup ()
| ~WP5VariableLengthGroup () override
Public Member Functions inherited from WP5Part
virtual | ~WP5Part ()

## Private Member Functions
| WP5FootnoteEndnoteGroup (const WP5FootnoteEndnoteGroup &)
WP5FootnoteEndnoteGroup & | operator= (const WP5FootnoteEndnoteGroup &)

## Private Attributes
std::unique_ptr< WP5SubDocument > | m_subDocument
librevenge::RVNGString | m_noteReference

## Additional Inherited Members
Static Public Member Functions inherited from WP5VariableLengthGroup
static WP5VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP5Part
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP5VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

## ◆ WP5FootnoteEndnoteGroup() [1/2]

WP5FootnoteEndnoteGroup::WP5FootnoteEndnoteGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

Referenced by operator=(), and WP5FootnoteEndnoteGroup().

## ◆ ~WP5FootnoteEndnoteGroup()

WP5FootnoteEndnoteGroup::~WP5FootnoteEndnoteGroup | ( |  | ) |
| override

## ◆ WP5FootnoteEndnoteGroup() [2/2]

WP5FootnoteEndnoteGroup::WP5FootnoteEndnoteGroup | ( | const WP5FootnoteEndnoteGroup & |  | ) |
| private

## Member Function Documentation

## ◆ _readContents()

void WP5FootnoteEndnoteGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overridevirtual

Reimplemented from WP5VariableLengthGroup.

## ◆ operator=()

WP5FootnoteEndnoteGroup & WP5FootnoteEndnoteGroup::operator= | ( | const WP5FootnoteEndnoteGroup & |  | ) |
| private

## ◆ parse()

void WP5FootnoteEndnoteGroup::parse | ( | WP5Listener * | listener | ) |
| overridevirtual

Implements WP5Part.

## Member Data Documentation

## ◆ m_noteReference

librevenge::RVNGString WP5FootnoteEndnoteGroup::m_noteReference
| private

Referenced by _readContents(), parse(), and WP5FootnoteEndnoteGroup().

## ◆ m_subDocument

std::unique_ptr<WP5SubDocument> WP5FootnoteEndnoteGroup::m_subDocument
| private

Referenced by _readContents(), parse(), and WP5FootnoteEndnoteGroup().

The documentation for this class was generated from the following files:

- WP5FootnoteEndnoteGroup.h
- WP5FootnoteEndnoteGroup.cpp